#!/bin/bash

set -x

# Create default vagrant package
vagrant package --output pcom-vm-arm.box

# Create a temporary folder
temp_folder=$(mktemp -d)

# Extract the box file into a temporary folder
tar xzvf pcom-vm-arm.box -C "$temp_folder"

# Remove unwanted files
pushd "$temp_folder" > /dev/null
rm Vagrantfile
rm vagrant_private_key
rm metadata.json
popd > /dev/null

# Recompress files as .tar.gz
tar czvf pcom-vm-arm.tar.gz -C $temp_folder .

# Delete temp folder
rm -rf "$temp_folder"

